<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>ng-show &amp; ng-hide</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
        var app = angular.module("SampleApp", []);

        app.controller("SampleAppCtrl", function($scope){

            $scope.items = ["item1", "item2", "item3", "item4", "item5"];
            $scope.class1 = "green";
            $scope.class2 = "red";
        });
    </script>

    <style>
        .green{
           color: green;
        }

        .red{
        color: red;
        }
    </style>

</head>
<body ng-controller="SampleAppCtrl">
<div class="container">
    <ul>
        <li ng-repeat="item in items" ng-class-even="class1" ng-class-odd="class2">{{item}}</li>
    </ul>
</div>

</body>
</html>